import { Atom } from '@cn-ui/use';
import { FormField } from '../interface';
export interface SwitchProps extends FormField {
    value: Atom<boolean>;
}
export declare const Switch: import("solid-js").Component<Omit<SwitchProps, "style" | "class"> & {
    ref?: HTMLElement | ((el: HTMLElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
